const fsp = require('fs').promises;
const path = require('path');
const { logger } = require('@vuepress/shared-utils');
const {
  getThisDocsVersion,
} = require('../../helpers');

const fileHead = '# --- THIS IS AN AUTOGENERATED FILE. DO NOT EDIT THIS FILE DIRECTLY!!! ---';
const pluginName = 'hot/generate-nginx-variables';

module.exports = (options, context) => {
  const outputFile = options.outputFile || path.resolve(context.sourceDir, 'variables.conf');

  return {
    name: pluginName,

    async chainMarkdown() {
      try {
        const content = `${fileHead}
set $docs_version "${getThisDocsVersion()}";
`;

        await fsp.writeFile(outputFile, content);
      } catch (ex) {
        logger.error(`Something bad happens while writing to the file (${outputFile}): ${ex}`);
        process.exit(1);
      }
    },
  };
};
