---
title: Software license
metaTitle: Software license - JavaScript Data Grid | Handsontable
description: Learn about the licensing terms of the Handsontable data grid.
permalink: /software-license
canonicalUrl: /software-license
react:
  metaTitle: Software license - React Data Grid | Handsontable
searchCategory: Guides
---

# Software license

Learn about the licensing terms of the Handsontable data grid.

[[toc]]

## Overview

Handsontable's source code is available under two types of licenses, to make it a better fit for different types of projects. You are required to specify which type of license you use.

For more details on entering the license key, see the [License key](@/guides/getting-started/license-key.md) page.

## Available licenses

| Name                                                                                                                         | Type        |
| ---------------------------------------------------------------------------------------------------------------------------- | ----------- |
| [Non-Commercial License](https://handsontable.com/static/licenses/non-commercial/v2/handsontable-non-commercial-license.pdf) | Proprietary |
| Commercial License Agreement                                                                                                 | Proprietary |

## Non-commercial use

We allow you to use this software for such non-commercial purposes as, but not limited to, research, private study, and evaluation. Your use in commercial settings is strictly limited to evaluation, development and testing tier of a software deployment architecture.

**In other words, you can’t enter the production stage if your project is in any way connected with your commercial activity.**

To use Handsontable in a non-commercial or open-source project, see the [License key](@/guides/getting-started/license-key.md) page.

## Commercial use

To obtain a commercial license key, contact our Sales Team directly, either through the [contact form](https://handsontable.com/contact?category=request_for_quotation) or by email at [sales@handsontable.com](mailto:sales@handsontable.com).

An enterprise license is available on demand.

## How to use the license key

In your Handsontable configuration, enter either a corresponding keyword, or a generated commercial license key:

::: only-for javascript
```js
licenseKey: '00000-00000-00000-00000-00000',
```
:::

::: only-for react
```js
licenseKey="00000-00000-00000-00000-00000"
```
:::

For more details on entering the license key, see the [License key](@/guides/getting-started/license-key.md) page.

## Open-source license

For many years Handsontable was available as an open-source software, and released under the MIT license. The last version available under permissive terms was [6.2.2](https://github.com/handsontable/handsontable/tree/6.2.2) released on December 19, 2018.

## Related articles

### Related guides

- [License key](@/guides/getting-started/license-key.md)

### Related API reference

- Options:
  - [`licenseKey`](@/api/options.md#licensekey)
